summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authoroberon20072016-03-10 12:48:37 +0100
committeroberon20072016-03-10 12:48:37 +0100
commit91a9f07330328d3ea5c53652e701415f1ff9bf56 (patch)
tree8f1d5b3a990eff53a8154a46de046b3028092f1c
downloadaur-91a9f07330328d3ea5c53652e701415f1ff9bf56.tar.gz
initial commit
-rw-r--r--.SRCINFO17
-rw-r--r--PKGBUILD18
-rwxr-xr-xi3-scrot70
3 files changed, 105 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..f1fec0a8621
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+# Generated by mksrcinfo v8
+# Thu Mar 10 11:47:42 UTC 2016
+pkgbase = i3-scrot
+ pkgdesc = simple screenshot script using scrot
+ pkgver = 1.0
+ pkgrel = 1
+ url = https://forum.manjaro.org/index.php?topic=31977.msg261964#msg261964
+ arch = any
+ license = GPL
+ depends = libnotify
+ depends = scrot
+ depends = xdg-user-dirs
+ source = i3-scrot
+ md5sums = b6710609e1c14bd190bd049069ceb64e
+
+pkgname = i3-scrot
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..cea4bd7b3a1
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,18 @@
+# Maintainer: Bernhard Landauer <oberon@manjaro.org>
+
+pkgname=i3-scrot
+pkgver=1.0
+pkgrel=1
+pkgdesc="simple screenshot script using scrot"
+arch=('any')
+url="https://forum.manjaro.org/index.php?topic=31977.msg261964#msg261964"
+license=('GPL')
+depends=('libnotify'
+ 'scrot'
+ 'xdg-user-dirs')
+source=('i3-scrot')
+md5sums=('b6710609e1c14bd190bd049069ceb64e')
+
+package() {
+ install -Dm755 "$srcdir/$pkgname" "$pkgdir/usr/bin/$pkgname"
+}
diff --git a/i3-scrot b/i3-scrot
new file mode 100755
index 00000000000..15229f630ef
--- /dev/null
+++ b/i3-scrot
@@ -0,0 +1,70 @@
+#!/bin/sh
+# /usr/bin/i3-scrot
+#
+# simple screenshot-script using scrot for manjaro-i3 by oberon@manjaro.org
+
+_conf=$HOME/.config/i3-scrot.conf
+
+if ! [ -f $_conf ]; then
+ echo "scrot_dir=$(xdg-user-dir PICTURES)" > $_conf
+fi
+
+source $_conf
+
+if ! [ -d $scrot_dir ]; then
+ mkdir -p $scrot_dir
+fi
+
+case "$1" in
+ --desk|-d|$NULL)
+ cd $scrot_dir
+ scrot &&
+ sleep 1 &&
+ notify-send "screenshot has been saved in $scrot_dir"
+ ;;
+ --window|-w)
+ cd $scrot_dir
+ scrot -u &&
+ sleep 1 &&
+ notify-send "screenshot has been saved in $scrot_dir"
+ ;;
+ --select|-s)
+ cd $scrot_dir
+ notify-send 'select an area for the screenshot' &
+ scrot -s &&
+ sleep 1 && notify-send "screenshot has been saved in $scrot_dir"
+ ;;
+ --help|-h)
+ echo "
+available options:
+-d | --desk full screen
+-w | --window active window
+-s | --select selection
+-h | --help display this information
+
+Default option is 'full screen'.
+
+The file destination can be set in ${_conf}.
+Default is $scrot_dir
+"
+ ;;
+ *)
+ echo "
+== ! i3-scrot: missing or wrong argument ! ==
+
+available options:
+-d | --desk full screen
+-w | --window active window
+-s | --select selection
+-h | --help display this information
+
+Default option is 'full screen'.
+
+The file destination can be set in ${_conf}.
+Default is $scrot_dir
+"
+
+ exit 2
+esac
+
+exit 0